Skip to main content
POST
/
credit_notes
/
{lago_id}
/
metadata
Replace credit note metadata
curl --request POST \
  --url https://api.getlago.com/api/v1/credit_notes/{lago_id}/metadata \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": {
    "external_id": "ext-123",
    "synced_at": "2024-01-15",
    "source": null
  }
}
'
import requests

url = "https://api.getlago.com/api/v1/credit_notes/{lago_id}/metadata"

payload = { "metadata": {
        "external_id": "ext-123",
        "synced_at": "2024-01-15",
        "source": None
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({metadata: {external_id: 'ext-123', synced_at: '2024-01-15', source: null}})
};

fetch('https://api.getlago.com/api/v1/credit_notes/{lago_id}/metadata', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "metadata": {
    "external_id": "ext-123",
    "synced_at": "2024-01-15",
    "source": null
  }
}
{
  "status": 401,
  "error": "Unauthorized"
}
{
  "status": 404,
  "error": "Not Found",
  "code": "object_not_found"
}
{
  "status": 422,
  "error": "Unprocessable entity",
  "code": "validation_errors",
  "error_details": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lago_id
string<uuid>
required

The credit note unique identifier, created by Lago.

Example:

"1f615414-ceb0-11f0-94bf-0f2d5b311aba"

Body

application/json
metadata
object | null
required

Custom metadata stored as key-value pairs. Keys are strings (max 100 characters), values can be strings (max 255 characters) or null.

Example:
{
  "external_id": "ext-123",
  "synced_at": "2024-01-15",
  "source": null
}

Response

Credit note metadata replaced

metadata
object | null
required

Custom metadata stored as key-value pairs. Keys are strings (max 100 characters), values can be strings (max 255 characters) or null.

Example:
{
  "external_id": "ext-123",
  "synced_at": "2024-01-15",
  "source": null
}